GDB (xrefs)

Namespaces | Macros | Typedefs | Functions
common-utils-selftests.c File Reference
`#include "common-defs.h"`
`#include "selftest.h"`

Go to the source code of this file.

## Namespaces
| selftests

## Macros
#define | X10 "0123456789"
#define | X100 X10 X10 X10 X10 X10 X10 X10 X10 X10 X10
#define | X1000 X100 X100 X100 X100 X100 X100 X100 X100 X100 X100
#define | X10000 X1000 X1000 X1000 X1000 X1000 X1000 X1000 X1000 X1000 X1000
#define | X100000 X10000 X10000 X10000 X10000 X10000 X10000 X10000 X10000 X10000 X10000

## Typedefs
typedef std::string() | selftests::format_func(const char *fmt,...) ATTRIBUTE_PRINTF(1
typedef std::string() static void | selftests::test_format_func(format_func *func)
typedef void() | selftests::string_appendf_func(std::string &str, const char *fmt,...) ATTRIBUTE_PRINTF(2
typedef void() static void | selftests::test_appendf_func(string_appendf_func *func)

## Functions
static void | selftests::string_printf_tests ()
static std::string | selftests::ATTRIBUTE_PRINTF (1, 2)
static void | selftests::string_vprintf_tests ()
static void | selftests::ATTRIBUTE_PRINTF (2, 3)
static void | selftests::string_appendf_tests ()
static void | selftests::string_vappendf_tests ()
void | _initialize_common_utils_selftests ()

## Macro Definition Documentation

## ◆ X10

#define X10 "0123456789"

## ◆ X100

#define X100 X10 X10 X10 X10 X10 X10 X10 X10 X10 X10

## ◆ X1000

#define X1000 X100 X100 X100 X100 X100 X100 X100 X100 X100 X100

## ◆ X10000

#define X10000 X1000 X1000 X1000 X1000 X1000 X1000 X1000 X1000 X1000 X1000

## ◆ X100000

#define X100000 X10000 X10000 X10000 X10000 X10000 X10000 X10000 X10000 X10000 X10000

## Function Documentation

## ◆ _initialize_common_utils_selftests()

void _initialize_common_utils_selftests | ( |  | ) |

Definition at line 129 of file common-utils-selftests.c.

References selftests::register_test(), selftests::string_appendf_tests(), selftests::string_printf_tests(), selftests::string_vappendf_tests(), and selftests::string_vprintf_tests().